Problem upgrading the 7941 firmware

Answered Question
Oct 14th, 2009
User Badges:

Checking the status menu of my 7941 it show me the SCCP41.8-5-3S version, this was upgraded from CUCM v7.


Now I need put this phone in a CME7 installation. It is working fine, but the phone show me the “error” word when it try to upgrade the firmware from CME7 on every reset.


I downloaded the latest CME 7 files. The cme-124-24T.zip file and extract the 7941-7961-sccp.8-4-2S.tar content. Also I have the cme-full-7.1.0.1.tar file.


I extract the 7941 files using the archive tar /xtract tftp://xxxx/7941-7961-sccp.8-4-2S.tar flash:/phones command and executing the following tftp-server and load commands:


tftp-server flash:/phones/7941-7961-sccp/apps41.8-4-1-23.sbn alias apps41.8-4-1-23.sbn

tftp-server flash:/phones/7941-7961-sccp/cnu41.8-4-1-23.sbn alias cnu41.8-4-1-23.sbn

tftp-server flash:/phones/7941-7961-sccp/cvm41sccp.8-4-1-23.sbn alias cvm41sccp.8-4-1-23.sbn

tftp-server flash:/phones/7941-7961-sccp/dsp41.8-4-1-23.sbn alias dsp41.8-4-1-23.sbn

tftp-server flash:/phones/7941-7961-sccp/jar41sccp.8-4-1-23.sbn alias jar41sccp.8-4-1-23.sbn

tftp-server flash:/phones/7941-7961-sccp/SCCP41.8-4-2S.loads alias SCCP41.8-4-2S.loads

tftp-server flash:/phones/7941-7961-sccp/term41.default.loads alias term41.default.loads

tftp-server flash:/phones/7941-7961-sccp/term61.default.loads alias term61.default.loads

!

!

telephony-service

load 7941 SCCP41.8-4-2S


Can somebody tell me what is the error in this configuration?. Why the phone is showing the "error" word ?

Thanks.


Correct Answer by Paolo Bevilacqua about 7 years 5 months ago

Witj cme 7.1, you do not need anymore to configure tftp-server, just configure


load 7941 SCCP41.8-4-2S.loads


You can observe files correctly loads with "debug tftp events" and "term mon".

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Loading.
Correct Answer
Paolo Bevilacqua Wed, 10/14/2009 - 11:46
User Badges:
  • Super Gold, 25000 points or more
  • Hall of Fame,

    Founding Member

Witj cme 7.1, you do not need anymore to configure tftp-server, just configure


load 7941 SCCP41.8-4-2S.loads


You can observe files correctly loads with "debug tftp events" and "term mon".

Rafael Jimenez Wed, 10/21/2009 - 06:12
User Badges:

Iam still having problems with this....


I tested the following command unter telephony-service

user-locale ES load CME-locale-es_ES-Spanish-7.0.1.1.tar (work fine!!)



But when I try :


load 7945 7945-7965-sccp.8-4-2S.tar

or

load 7945 SCCP45.8-4-2S.loads


the ip phone still showing the error message when it try upgrade the firmware.


Im using cme 7.1.0.1 and 12.4(24T) ios.


I put the firwmare files in the root of the flash: , in the flash:/phones directory and

in the its directory.


Im using the cnf-file location flash:


what is the trick?


Thanks



Paolo Bevilacqua Wed, 10/21/2009 - 06:17
User Badges:
  • Super Gold, 25000 points or more
  • Hall of Fame,

    Founding Member

The correct command is load xxx.loads

Files must be in root directory.

Remove any tftp-server comamnds

Sometime reloading the router helps a lot.


If still problem take "debug tftp events" with "term mon" and you will see what happens.

Actions

This Discussion